RedMarsBlueMoon
Posts: 490
Joined: Mon Apr 06, 2020 3:49 am

Looking for 'qt5-default' for Bullseye. Different set of Qt5 packages for Bullseye?

Tue Nov 16, 2021 2:32 am

Hello,

I had Qt5 dependencies under Buster that included a 'qt5-default' package but that doesn't seem to currently exist for Bullseye.

Does anyone know if there's any descriptions of Old vs New Qt5 packages and if any differently named New ones replace absent Old ones?

UPDATE:
I can 'ldd' on the Buster executable to get the list of Qt5 .so's that should go in.
Is there a list somewhere where one can see which packages I need based on that?
Without me having to install every single Qt5 package and see what it adds?

UPDATE2:
Just did

Code: Select all

apt-file list qt5-default
and all it lists is,

Code: Select all

qt5-default: /usr/lib/arm-linux-gnueabihf/qtchooser/default.conf
qt5-default: /usr/share/doc/qt5-default/changelog.Debian.gz
qt5-default: /usr/share/doc/qt5-default/copyright
Not sure if those are really essential?



Cheers

User avatar
topguy
Posts: 7294
Joined: Tue Oct 09, 2012 11:46 am
Location: Trondheim, Norway

Re: Looking for 'qt5-default' for Bullseye. Different set of Qt5 packages for Bullseye?

Tue Nov 16, 2021 11:09 am

On https://packages.debian.org you can search for which package a file belongs to. ( bottom of the page )

So a search for "qtchooser/default.conf" gives me:
https://packages.debian.org/search?sear ... e&arch=any

Which tells me that this file i part of "libqt5core5a" in bullseye.

Edit:
Short description of what qtchooser does:
https://packages.debian.org/bullseye/qtchooser

RedMarsBlueMoon
Posts: 490
Joined: Mon Apr 06, 2020 3:49 am

Re: Looking for 'qt5-default' for Bullseye. Different set of Qt5 packages for Bullseye?

Tue Nov 16, 2021 5:31 pm

Hi thank you ! That's excellent.
That should enable me to make a new list based on the old package contents!

Cheers!

Return to “Troubleshooting”